Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
LibreOffice 4.0-git [geki-overlay] flavored features!
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3, 4, 5, 6, 7, 8, 9  Next  
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
scarabeus
Developer
Developer


Joined: 25 Oct 2008
Posts: 95
Location: Europe/Prague

PostPosted: Sat Jul 23, 2011 8:46 pm    Post subject: Reply with quote

Well the quite usefull thing would be to kill all the useless ADDONS_SRC lines we really do not use in the build. I noticed there is quite few of them :)
Back to top
View user's profile Send private message
geki
Advocate
Advocate


Joined: 13 May 2004
Posts: 2117
Location: Germania

PostPosted: Sat Jul 23, 2011 9:54 pm    Post subject: Reply with quote

for those mykral made a script that generates the list.
if you feel like improving it go ahead. :o
_________________
idiocracy - talk to your plants. they want brawndo. not water, like from the toilet. ... it's got electrolytes ...
Back to top
View user's profile Send private message
scarabeus
Developer
Developer


Joined: 25 Oct 2008
Posts: 95
Location: Europe/Prague

PostPosted: Sat Jul 23, 2011 10:32 pm    Post subject: Reply with quote

geki wrote:
for those mykral made a script that generates the list.
if you feel like improving it go ahead. :o


The script works, problem is that most of those are not needed. So it is more like removing them and trying if that thing compiles (quite annoying).
Back to top
View user's profile Send private message
bers
n00b
n00b


Joined: 28 Nov 2008
Posts: 49

PostPosted: Tue Jul 26, 2011 9:36 am    Post subject: Reply with quote

please anyone installed KDE 4.7 RC2 check availability at a bug https://bugs.gentoo.org/show_bug.cgi?id=375277
Back to top
View user's profile Send private message
geki
Advocate
Advocate


Joined: 13 May 2004
Posts: 2117
Location: Germania

PostPosted: Tue Jul 26, 2011 1:03 pm    Post subject: Reply with quote

jfyi, split-boost is not quite splitted anymore starting with revision 1.47.0-r1. only locally by useflags. *yay*
FEATURES="test" need some love, though. anyone?! :o

scarabeus
I know what is necessary and what not. though, am too lazy to fix manually. ;)

bers
calc crasher are fun these days with 3.4.x. bad luck. :?
_________________
idiocracy - talk to your plants. they want brawndo. not water, like from the toilet. ... it's got electrolytes ...
Back to top
View user's profile Send private message
geki
Advocate
Advocate


Joined: 13 May 2004
Posts: 2117
Location: Germania

PostPosted: Tue Jul 26, 2011 5:03 pm    Post subject: Reply with quote

woa, uno binary processing cpp test object segfaults with my core i5. haven't had that for ages.
these evil bridge tests in module testtools ... :lol:

are there known issues with -march=native? did I miss a bugreport?!
Quote:
-D_FORTIFY_SOURCE=2 -march=core2 -mcx16 -msahf -maes -mpclmul -mpopcnt -mavx --param l1-cache-size=32 --param l1-cache-line-size=64 --param l2-cache-size=6144 -mtune=generic

edit #1
build module bridges with '-mno-avx' and it succeeds! what else ... :o
_________________
idiocracy - talk to your plants. they want brawndo. not water, like from the toilet. ... it's got electrolytes ...
Back to top
View user's profile Send private message
geki
Advocate
Advocate


Joined: 13 May 2004
Posts: 2117
Location: Germania

PostPosted: Tue Jul 26, 2011 6:51 pm    Post subject: Reply with quote

app-office/libreoffice-3.4.2.3 released!
details: http://code.google.com/p/gekis-playground/source/list
_________________
idiocracy - talk to your plants. they want brawndo. not water, like from the toilet. ... it's got electrolytes ...
Back to top
View user's profile Send private message
cantrop
n00b
n00b


Joined: 11 Sep 2005
Posts: 29

PostPosted: Wed Jul 27, 2011 12:06 pm    Post subject: Reply with quote

Hi,

I had libreoffice-3.4.1 installed and since two days I'm trying to install 3.4.2.x
Everytime I get a configure error:
Code:
!!! ERROR: Package junit was not found!
!!! ERROR: Package junit was not found!
checking Ant lib directory... Ant lib directory found.
checking whether ant is >= 1.6.0... !!! ERROR: Package junit was not found!
!!! ERROR: Package junit was not found!
yes, 1.8.1
checking for JUnit 4... no
configure: error: cannot find JUnit 4 jar; please install one in the default
location (/usr/share/java), specify its pathname via
--with-junit=..., or disable it via --without-junit

I have JUnit installed (first 4.6 now 4.8) - but it does not recognize it at all.
Also I noticed that the "junit" USE-Flag is gone - so there no possibility on my side to fix this.
Back to top
View user's profile Send private message
geki
Advocate
Advocate


Joined: 13 May 2004
Posts: 2117
Location: Germania

PostPosted: Wed Jul 27, 2011 3:10 pm    Post subject: Reply with quote

cantrop
if there is no useflag[junit], then that is not my package. :o
_________________
idiocracy - talk to your plants. they want brawndo. not water, like from the toilet. ... it's got electrolytes ...
Back to top
View user's profile Send private message
cantrop
n00b
n00b


Joined: 11 Sep 2005
Posts: 29

PostPosted: Wed Jul 27, 2011 3:43 pm    Post subject: Reply with quote

You are right, but I have "-junit". So this USE-Flag is definitely disabled:
Code:
[ebuild  N    #] app-office/libreoffice-3.4.2.3  USE="bash-completion cups dbus gtk java jemalloc kde ldap mysql nsplugin opengl python vba -custom-cflags -debug -eds -gnome -graphite -gstreamer -junit (-kdeenablefinal) -languagetool -odbc -odk -offlinehelp -reportbuilder -templates -webdav -wiki" LINGUAS="de en -af -ar -as -ast -be_BY -bg -bn -bo -br -brx -bs -ca -ca_XV -cs -cy -da -dgo -dz -el -en_GB -en_ZA -eo -es -et -eu -fa -fi -fr -ga -gd -gl -gu -he -hi -hr -hu -id -is -it -ja -ka -kk -km -kn -ko -kok -ks -ku -ky -lo -lt -lv -mai -mk -ml -mn -mni -mr -ms -my -nb -ne -nl -nn -nr -ns -oc -om -or -pa -pap -pl -ps -pt -pt_BR -ro -ru -rw -sat -sd -sh -si -sk -sl -sq -sr -ss -st -sv -sw_TZ -ta -te -tg -th -ti -tn -tr -ts -ug -uk -uz -ve -vi -xh -zh_CN -zh_TW -zu" 0 kB [1]     
and
Code:
* Package:    app-office/libreoffice-3.4.2.3
 * Repository: geki-overlay
 * USE:        bash-completion cups dbus elibc_glibc gtk java jemalloc kde kernel_linux ldap linguas_de linguas_en mysql nsplugin opengl python userland_GNU vba x86
 * FEATURES:   sandbox
 * Using: sun-jdk-1.6
and
Code:
running ./configure with '--with-external-dict-dir=/usr/share/myspell' '--with-external-hyph-dir=/usr/share/myspell' '--with-external-thes-dir=/usr/share/myspell' '--with-system-altlinuxhyph' '--with-system-boost' '--with-system-curl' '--with-system-db' '--with-system-dicts' '--with-system-expat' '--with-system-hunspell' '--with-system-icu' '--with-system-libxslt' '--with-system-openssl' '--with-system-vigra' '--with-system-hunspell' '--with-system-libwpd' '--with-system-libwpg' '--with-system-libwps' '--with-system-mdds' '--with-system-mythes' '--with-system-zlib' '--with-vendor=Gentoo Foundation' '--without-myspell-dicts' '--without-stlport' '--enable-cairo' '--with-system-cairo' '--disable-binfilter' '--disable-crashdump' '--disable-epm' '--disable-dependency-tracking' '--disable-fetch-external' '--disable-kde' '--disable-layout' '--disable-zenity' '--without-afms' '--without-fonts' '--without-ppds' '--with-system-cppunit' '--with-system-openssl' '--with-system-redland' '--enable-xrender-link' '--disable-systray' '--with-extension-integration' '--enable-ext-pdfimport' '--enable-ext-presenter-console' '--enable-ext-presenter-minimizer' '--prefix=/usr' '--sysconfdir=/etc' '--libdir=/usr/lib' '--mandir=/usr/share/man' '--docdir=/usr/share/doc/libreoffice-3.4.2.3' '--with-build-version=geki built 3.4.2.3 (unsupported)' '--with-external-tar=/var/tmp/portage/app-office/libreoffice-3.4.2.3/distdir' '--with-lang=de en-US' '--with-num-cpus=2' '--enable-gtk' '--enable-kde4' '--enable-strip-solver' '--disable-odk' '--with-java' '--without-sun-templates' '--disable-ext-report-builder' '--disable-ext-wiki-publisher' '--enable-ext-mysql-connector' '--without-languagetool' '--enable-dbus' '--disable-symbols' '--without-helppack-integration' '--enable-vba' '--with-alloc=jemalloc' '--enable-cups' '--disable-evolution2' '--disable-graphite' '--without-system-graphite' '--enable-ldap' '--with-openldap' '--without-system-odbc' '--enable-opengl' '--with-system-mesa-headers' '--enable-python' '--disable-neon' '--without-system-neon' '--with-system-mysql' '--with-system-mysql-cppconn' '--enable-mozilla' '--with-system-mozilla=libxul' '--disable-gnome-vfs' '--enable-gio' '--disable-lockdown' '--disable-gconf' '--disable-gstreamer' '--with-ant-home=/usr/share/ant' '--with-jdk-home=/opt/sun-jdk-1.6.0.26' '--with-java-target-version=1.5' '--with-jvm-path=/usr/lib/' '--with-system-beanshell' '--with-system-lucene' '--with-beanshell-jar=/usr/share/bsh/lib/bsh.jar' '--with-lucene-core-jar=/usr/share/lucene-2.9/lib/lucene-core.jar' '--with-lucene-analyzers-jar=/usr/share/lucene-2.9/lib/lucene-analyzers.jar' '--without-junit'
configure: WARNING: unrecognized options: --without-languagetool

But I get this errormessage anyway.
Back to top
View user's profile Send private message
geki
Advocate
Advocate


Joined: 13 May 2004
Posts: 2117
Location: Germania

PostPosted: Wed Jul 27, 2011 4:17 pm    Post subject: Reply with quote

well, the error is not from the configure but rooted from ant shell script.
Quote:
!!! ERROR: Package junit was not found!
ant looks for junit. remember, we need junit-4 package.
whatever there is fubared with ant to look for junit.

no idea ... I have java enabled and juint disabled and it succeeds. :o
_________________
idiocracy - talk to your plants. they want brawndo. not water, like from the toilet. ... it's got electrolytes ...
Back to top
View user's profile Send private message
cantrop
n00b
n00b


Joined: 11 Sep 2005
Posts: 29

PostPosted: Wed Jul 27, 2011 6:44 pm    Post subject: Reply with quote

The test for junit is now passed after I linked junit.jar (from junit4) to /usr/share/java manually...
On my 64bit system I don't have these problem at all.
Now on both systems the build dies when building unoxlm:
Code:
=============
Building module unoxml
=============
Entering /var/tmp/portage/app-office/libreoffice-3.4.2.3/work/libreoffice-bootstrap-3.4.2.3/unoxml/prj

cd .. && make -s -r -j1
: &&     LD_LIBRARY_PATH=/var/tmp/portage/app-office/libreoffice-3.4.2.3/work/libreoffice-bootstrap-3.4.2.3/solver/340/unxlngx6.pro/lib${LD_LIBRARY_PATH:+:${LD_LIBRARY_PATH}} xsltproc --nonet --stringparam uri \
        'vnd.sun.star.expand:$URE_INTERNAL_LIB_DIR/bootstrap.uno.so' -o ../unxlngx6.pro/misc/bootstrap.component \
        /var/tmp/portage/app-office/libreoffice-3.4.2.3/work/libreoffice-bootstrap-3.4.2.3/solenv/bin/createcomponent.xslt bootstrap.component
: &&     LD_LIBRARY_PATH=/var/tmp/portage/app-office/libreoffice-3.4.2.3/work/libreoffice-bootstrap-3.4.2.3/solver/340/unxlngx6.pro/lib${LD_LIBRARY_PATH:+:${LD_LIBRARY_PATH}} xsltproc --nonet --stringparam uri \
        'vnd.sun.star.expand:$URE_INTERNAL_LIB_DIR/stocservices.uno.so' -o ../unxlngx6.pro/misc/stocservices.component \
        /var/tmp/portage/app-office/libreoffice-3.4.2.3/work/libreoffice-bootstrap-3.4.2.3/solenv/bin/createcomponent.xslt stocservices.component
Entering /var/tmp/portage/app-office/libreoffice-3.4.2.3/work/libreoffice-bootstrap-3.4.2.3/stoc/test/uriproc

stoc deliver
[ info  ALL ] LinkTarget Library/libsaxlx.so not defined: Assuming headers to be there!
deliver -- version: 275594
[ info  ALL ] LinkTarget Library/libxml2.so not defined: Assuming headers to be there!
[ build DEP ] LNK:Library/libunoxmllx.so
Module 'stoc' delivered successfully. 41 files copied, 1 files unchanged
[ info  ALL ] LinkTarget Library/librdf.so not defined: Assuming headers to be there!
[ info  ALL ] LinkTarget Library/libxslt.so not defined: Assuming headers to be there!
[ build DEP ] LNK:Library/libunordflx.so
[ build CXX ] unoxml/source/dom/node
[ build CXX ] unoxml/source/dom/document
[ build CXX ] unoxml/source/dom/element
[ build CXX ] unoxml/source/dom/attr
[ build CXX ] unoxml/source/dom/cdatasection
[ build CXX ] unoxml/source/dom/characterdata
[ build CXX ] unoxml/source/dom/comment
[ build CXX ] unoxml/source/dom/documentbuilder
[ build CXX ] unoxml/source/dom/documentfragment
[ build CXX ] unoxml/source/dom/documenttype
[ build CXX ] unoxml/source/dom/entity
[ build CXX ] unoxml/source/dom/entityreference
[ build CXX ] unoxml/source/dom/notation
[ build CXX ] unoxml/source/dom/processinginstruction
[ build CXX ] unoxml/source/dom/text
[ build CXX ] unoxml/source/dom/domimplementation
[ build CXX ] unoxml/source/dom/elementlist
[ build CXX ] unoxml/source/dom/childlist
[ build CXX ] unoxml/source/dom/notationsmap
[ build CXX ] unoxml/source/dom/entitiesmap
[ build CXX ] unoxml/source/dom/attributesmap
[ build CXX ] unoxml/source/dom/saxbuilder
[ build CXX ] unoxml/source/xpath/xpathobject
[ build CXX ] unoxml/source/xpath/nodelist
[ build CXX ] unoxml/source/xpath/xpathapi
[ build CXX ] unoxml/source/events/event
[ build CXX ] unoxml/source/events/eventdispatcher
[ build CXX ] unoxml/source/events/mutationevent
[ build CXX ] unoxml/source/events/uievent
[ build CXX ] unoxml/source/events/mouseevent
[ build CXX ] unoxml/source/events/testlistener
[ build CXX ] unoxml/source/service/services
[ build LNK ] Library/libunoxmllx.so
[ build CMP ] unoxml/source/service/unoxml
[ build CXX ] unoxml/source/rdf/CBlankNode
[ build CXX ] unoxml/source/rdf/CURI
[ build CXX ] unoxml/source/rdf/CLiteral
[ build CXX ] unoxml/source/rdf/librdf_repository
[ build CXX ] unoxml/source/rdf/librdf_services
[ build LNK ] Library/libunordflx.so
[ build CMP ] unoxml/source/rdf/unordf
[ build MOD ] unoxml
[ build ALL ] top level modules: unoxml
[ build ALL ] loaded modules: unoxml
[ build CHK ] unoxml
[ build CHK ] loaded modules: unoxml
unoxml deliver
deliver -- version: 275594
Module 'unoxml' delivered successfully. 1 files copied, 0 files unchanged

-----------------------------------------------------------------------
        Oh dear - something failed during the build - sorry !
  For more help with debugging build errors, please see the section in:
            http://wiki.documentfoundation.org/Development

  internal build errors:

ERROR: error 65280 occurred while making /var/tmp/portage/app-office/libreoffice-3.4.2.3/work/libreoffice-bootstrap-3.4.2.3/bridges/source/cpp_uno/gcc3_linux_x86-64

 it seems that the error is inside 'bridges', please re-run build
 inside this module to isolate the error and/or test your fix:
-----------------------------------------------------------------------

rm -Rf /var/tmp/portage/app-office/libreoffice-3.4.2.3/work/libreoffice-bootstrap-3.4.2.3/bridges/unxlngx6.pro # optional module 'clean'
/bin/sh
cd /var/tmp/portage/app-office/libreoffice-3.4.2.3/work/libreoffice-bootstrap-3.4.2.3
source ./LinuxX86-64Env.Set.sh
cd bridges
build

when the problem is isolated and fixed exit and re-run 'make' from the top-level
make: *** [all] Error 1
Back to top
View user's profile Send private message
geki
Advocate
Advocate


Joined: 13 May 2004
Posts: 2117
Location: Germania

PostPosted: Fri Jul 29, 2011 8:53 am    Post subject: Reply with quote

cantrop
the error is known and fixed already.
Quote:
ERROR: error 65280 occurred while making /var/tmp/portage/app-office/libreoffice-3.4.2.3/work/libreoffice-bootstrap-3.4.2.3/bridges/source/cpp_uno/gcc3_linux_x86-64
though, I was fiddling with as-needed which just fails right now. either module sfx2 or module sc fails. am going to disable it. impossible to get them both to succeed. 3.5 seems to be fixed. we will see then. :o

you may wait for revision 200.
edit #1 revision done
_________________
idiocracy - talk to your plants. they want brawndo. not water, like from the toilet. ... it's got electrolytes ...
Back to top
View user's profile Send private message
geki
Advocate
Advocate


Joined: 13 May 2004
Posts: 2117
Location: Germania

PostPosted: Sat Jul 30, 2011 3:57 pm    Post subject: Reply with quote

anyone up to test new eclass/git-2 support on libreoffice? (3.4 HEAD) :o
_________________
idiocracy - talk to your plants. they want brawndo. not water, like from the toilet. ... it's got electrolytes ...
Back to top
View user's profile Send private message
cantrop
n00b
n00b


Joined: 11 Sep 2005
Posts: 29

PostPosted: Sun Jul 31, 2011 10:19 am    Post subject: Reply with quote

Thanks for including the fixes. I just compiled 3.4.2.3 and 3.4.9999 successfully.
Back to top
View user's profile Send private message
geki
Advocate
Advocate


Joined: 13 May 2004
Posts: 2117
Location: Germania

PostPosted: Sun Jul 31, 2011 10:38 am    Post subject: Reply with quote

cantrop
thank you for testing git-2! :o
_________________
idiocracy - talk to your plants. they want brawndo. not water, like from the toilet. ... it's got electrolytes ...
Back to top
View user's profile Send private message
bandreabis
Advocate
Advocate


Joined: 18 Feb 2005
Posts: 2088
Location: イタリアのロヂで

PostPosted: Tue Aug 02, 2011 7:07 am    Post subject: Reply with quote

Trying to emerge libreoffice-3.4.2, I get this error
Code:
checking for Qt4 headers... /usr/include/qt4
checking for Qt4 libraries... no
configure: error: Qt4 libraries not found. Please specify the root of your Qt4 installation by exporting QT4DIR before running "configure".
and emerge stops!
How can I solve this problem?

Many thanks.


Last edited by bandreabis on Tue Aug 02, 2011 12:57 pm; edited 1 time in total
Back to top
View user's profile Send private message
astaecker
Guru
Guru


Joined: 28 Apr 2003
Posts: 403
Location: Hamburg / Germany

PostPosted: Tue Aug 02, 2011 9:18 am    Post subject: Reply with quote

bandreabis wrote:
Trying to emerge libreoffice-3.4.2, I get this error
Code:
checking for Qt4 headers... /usr/include/qt4
checking for Qt4 libraries... no
configure: error: Qt4 libraries not found. Please specify the root of your Qt4 installation by exporting QT4DIR before running "configure".
and emerge stops!
How can I solve thi problem?

Many thanks.

I submitted a bug report.
Back to top
View user's profile Send private message
bandreabis
Advocate
Advocate


Joined: 18 Feb 2005
Posts: 2088
Location: イタリアのロヂで

PostPosted: Tue Aug 02, 2011 9:45 am    Post subject: Reply with quote

Many thanks.
Can you post the corrected ebuild?
Back to top
View user's profile Send private message
astaecker
Guru
Guru


Joined: 28 Apr 2003
Posts: 403
Location: Hamburg / Germany

PostPosted: Tue Aug 02, 2011 11:43 am    Post subject: Reply with quote

bandreabis wrote:
Can you post the corrected ebuild?

Here is a patch:
Code:
--- /usr/portage/app-office/libreoffice/libreoffice-3.4.2.3.ebuild      2011-08-01 18:01:04.000000000 +0200
+++ /usr/local/portage/app-office/libreoffice/libreoffice-3.4.2.3.ebuild        2011-08-02 13:39:52.131384344 +0200
@@ -373,6 +373,9 @@
        local themes="crystal"
        local jbs=$(sed -ne 's/.*\(-j[[:space:]]*\|--jobs=\)\([[:digit:]]\+\).*/\2/;T;p' <<< "${MAKEOPTS}")
 
+       use kde && export KDE4DIR="${KDEDIR}"
+       use kde && export QT4LIB="/usr/$(get_libdir)/qt4"
+
        # recheck that there is some value in jobs
        [[ -z ${jbs} ]] && jbs="1"
Back to top
View user's profile Send private message
geki
Advocate
Advocate


Joined: 13 May 2004
Posts: 2117
Location: Germania

PostPosted: Tue Aug 02, 2011 4:25 pm    Post subject: Reply with quote

o what fun ... fixed again, sorry for the noise ...
_________________
idiocracy - talk to your plants. they want brawndo. not water, like from the toilet. ... it's got electrolytes ...
Back to top
View user's profile Send private message
scarabeus
Developer
Developer


Joined: 25 Oct 2008
Posts: 95
Location: Europe/Prague

PostPosted: Wed Aug 03, 2011 9:31 pm    Post subject: Reply with quote

arlsair wrote:
bandreabis wrote:
Can you post the corrected ebuild?

Here is a patch:
Code:
--- /usr/portage/app-office/libreoffice/libreoffice-3.4.2.3.ebuild      2011-08-01 18:01:04.000000000 +0200
+++ /usr/local/portage/app-office/libreoffice/libreoffice-3.4.2.3.ebuild        2011-08-02 13:39:52.131384344 +0200
@@ -373,6 +373,9 @@
        local themes="crystal"
        local jbs=$(sed -ne 's/.*\(-j[[:space:]]*\|--jobs=\)\([[:digit:]]\+\).*/\2/;T;p' <<< "${MAKEOPTS}")
 
+       use kde && export KDE4DIR="${KDEDIR}"
+       use kde && export QT4LIB="/usr/$(get_libdir)/qt4"
+
        # recheck that there is some value in jobs
        [[ -z ${jbs} ]] && jbs="1"


You should rather use the patch I punched in than this :)
Back to top
View user's profile Send private message
bandreabis
Advocate
Advocate


Joined: 18 Feb 2005
Posts: 2088
Location: イタリアのロヂで

PostPosted: Thu Aug 04, 2011 5:59 am    Post subject: Reply with quote

I added the two line to the portage ebuild, but this morning emerge stopped with another error message (unrelated).
I had no time to record and post it.
Maybe this evening I will.

I am tempted to pass to "the binary side of the ebuild".
But I have not yet tried the official new build.
Back to top
View user's profile Send private message
genstorm
Advocate
Advocate


Joined: 05 Apr 2007
Posts: 2475
Location: Austria

PostPosted: Thu Aug 04, 2011 7:40 am    Post subject: Reply with quote

3.4.2.3 built fine last night!
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
bandreabis
Advocate
Advocate


Joined: 18 Feb 2005
Posts: 2088
Location: イタリアのロヂで

PostPosted: Thu Aug 04, 2011 7:55 pm    Post subject: Reply with quote

Official ebuild, obtained this:
Code:
checking for Google Docs extension integration... no
checking for NLPSolver extension integration... no
checking for LanguageTool extension integration... no
checking for oooblogger extension integration... no
checking for Sun Professional Template Pack integration (only supported languages displayed)... no integration
checking whether to include third-party fonts... no
checking whether to include Agfa Monotype fonts... no
checking whether to include PPDs... no
checking whether to include AFMs... no
checking whether to include extra galleries... no
checking whether to include extra templates... no
checking whether to include extra samples... no
checking whether to include extra fonts... no
checking whether to build global menu support... no
checking whether to enable online update... no
checking whether and how to use Xinerama... yes, with dynamic linking
checking X11/extensions/Xinerama.h usability... yes
checking X11/extensions/Xinerama.h presence... yes
checking for X11/extensions/Xinerama.h... yes
checking for XineramaIsActive in -lXinerama... yes
checking whether to use specific JVM search path at runtime... yes
checking for jakarta-ant... no
checking for ant... /usr/bin/ant
checking if /usr/bin/ant works... Ant works
checking Ant lib directory... Ant lib directory found.
checking whether ant is >= 1.6.0... yes, 1.8.1
checking for product version... 3.4
checking which languages to be built... en-US
checking for another 'intro' bitmap... /var/tmp/portage/app-office/libreoffice-3.4.2.3/work/branding-intro.png
checking for another 'about' bitmap... /var/tmp/portage/app-office/libreoffice-3.4.2.3/work/branding-about.png
checking for vendor... Gentoo Foundation
checking for UNIX wrapper name... libreoffice
checking whether to install the compat oo* wrappers... no
checking for product name... LibreOffice
checking for install dirname... libreoffice
checking for prefix... /usr
checking for libdir... /usr/lib
checking for data dir... /usr/share
checking for man dir... /usr/share/man
checking for doc dir... /usr/share/doc/libreoffice
checking for install dir... /usr/lib/libreoffice
checking whether to statically link to Gtk... no
checking whether to use layout dialogs... no
checking build verbosity... not set
checking whether to use zenity during build... no
checking whether to enable dependency tracking... no
checking for number of processors to use... 1
checking for maximum of jobs per processor... 2
setting up the build environment variables...
checking solver path... default
setting up the post_download check script
configure: creating ./config.status
config.status: creating ooo.lst
config.status: creating set_soenv
config.status: creating Makefile
config.status: creating bin/repo-list
Possible unintended interpolation of @HAVE_GCC_AVX in string at ./set_soenv line 1844.
Global symbol "@HAVE_GCC_AVX" requires explicit package name at ./set_soenv line 1844.
Execution of ./set_soenv aborted due to compilation errors.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Goto page Previous  1, 2, 3, 4, 5, 6, 7, 8, 9  Next
Page 5 of 9

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum